> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vin.gs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1portfoliohistory



## OpenAPI

````yaml https://external.vin.gs/api/openapi.json get /v1/portfolio/history
openapi: 3.1.0
info:
  title: Vings External API
  version: 0.1.0
  description: Readonly external API for authenticated Vings financial data.
servers:
  - url: https://external.vin.gs/api
    description: Production
security: []
tags:
  - name: Transactions
    description: Transaction search and recurring payments
  - name: Cashflow
    description: Cashflow summaries
  - name: Spending
    description: Spending aggregates and merchants
  - name: Budgets
    description: Budget categories and summaries
  - name: Banks
    description: Connected bank status
  - name: Portfolio
    description: Portfolio snapshots and history
  - name: Preferences
    description: User preferences
  - name: OAuth
    description: OAuth protected-resource metadata (RFC 9728)
  - name: Health
    description: Liveness and readiness
  - name: User
    description: Authenticated user
  - name: MCP
    description: Model Context Protocol JSON-RPC transport
paths:
  /v1/portfolio/history:
    get:
      tags:
        - Portfolio
      parameters:
        - schema:
            type: string
            enum:
              - 1m
              - 3m
              - 6m
              - 1y
          required: false
          name: timeRange
          in: query
      responses:
        '200':
          description: Portfolio time series
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    created_at:
                      type: string
                    currency:
                      type: string
                      nullable: true
                    id:
                      type: string
                    total_amount_cents:
                      type: number
                    user_id:
                      type: string
                      nullable: true
                    vault_balances:
                      type: array
                      nullable: true
                      items:
                        type: object
                        properties:
                          id:
                            type: string
                          type:
                            type: string
                            enum:
                              - wallet
                              - item
                              - paper
                          balance_cents:
                            type: number
                          currency:
                            type: string
                        required:
                          - id
                          - type
                          - balance_cents
                          - currency
                  required:
                    - created_at
                    - currency
                    - id
                    - total_amount_cents
                    - user_id
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Missing or invalid bearer token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              example: UNAUTHORIZED
            message:
              type: string
              example: Missing bearer token
            details:
              nullable: true
            requestId:
              type: string
          required:
            - code
            - message
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Vings OAuth access token or personal access token (`vng_pat_…`). Use
        `Authorization: Bearer …`.

````